### Constructor

# Gtk.MediaFile.new_for_file

#### Declaration [src]

    GtkMediaStream*
    gtk_media_file_new_for_file (
      GFile* file
    )

#### Description [src]

Creates a new media file to play `file`.

#### Parameters

`file` | `GFile*`
| The file to play
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkMediaFile`
a new `GtkMediaFile` playing `file`
Ownership of the data is transferred to the caller